### Virtual Method

# Atk Document get_document_attributes

since: 1.12

#### Declaration [src]

    AtkAttributeSet*
    get_document_attributes (
      AtkDocument* document
    )

#### Description [src]

Gets an AtkAttributeSet which describes document-wide attributes as name-value pairs.

Available since: 1.12

#### Return value

Type: `AtkAttributeSet`

An AtkAttributeSet containing the explicitly set name-value-pair attributes associated with this document as a whole.

The returned data is owned by the instance.